net.corda.node.serialization

## Class DefaultWhitelist

- CordaPluginRegistry
- - net.corda.node.serialization.DefaultWhitelist

-     public class DefaultWhitelist
      extends CordaPluginRegistry

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultWhitelist()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `customizeSerialization(SerializationCustomization custom)` Optionally whitelist types for use in object serialization, as we lock down the types that can be serialized.

    - ### Methods inherited from class net.corda.core.node.CordaPluginRegistry

      `customizeSerialization, getRequiredFlows, getServicePlugins, getStaticServeDirs, getWebApis`

- - ### Constructor Detail

    - #### DefaultWhitelist

          public DefaultWhitelist()

  - ### Method Detail

    - #### customizeSerialization

          public boolean customizeSerialization(SerializationCustomization custom)

      Optionally whitelist types for use in object serialization, as we lock down the types that can be serialized.

      For example, if you add a new ContractState it needs to be whitelisted. You can do that either by adding the @CordaSerializable annotation or via this method.

      Returns:
        true if you register types, otherwise you will be filtered out of the list of plugins considered in future.
      See Also:
        ContractState